gnutls_x509_ext_import_private_key_usage_period(3)

NAME
gnutls_x509_ext_import_private_key_usage_period - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_private_key_usage_period(const gnutls_datum_t * ext, time_t * activation, time_t * expiration);

ARGUMENTS

const gnutls_datum_t * ext
    the DER encoded extension data

time_t * activation
    Will hold the activation time

time_t * expiration
    Will hold the expiration time

DESCRIPTION
This function will return the expiration and activation times of the private key as written in the PKIX extension 2.5.29.16.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/